## Charty : Elementary Chart library for Compose

![Charty](img/charty-banner.png)

Chart Library built using Jetpack Compose and is highly customizable. Updates coming soon!
_Made with ❤️ for Android Developers by Himanshu_

[![Github Followers](https://img.shields.io/github/followers/hi-manshu?label=Follow&style=social)](https://github.com/hi-manshu)
[![Twitter Follow](https://img.shields.io/twitter/follow/hi_man_shoe?label=Follow&style=social)](https://twitter.com/hi_man_shoe)
[![Twitter Follow](https://img.shields.io/badge/Featured%20in%20androidweekly.net-%23532-orange)](https://androidweekly.net/issues/issue-532)
[![Sample App](https://img.shields.io/github/v/release/hi-manshu/Charty?color=7885FF&label=Sample%20App&logo=android&style=for-the-badge)](https://github.com/hi-manshu/Charty/releases/latest/download/charty-sample.apk)
[![Main Sample App](https://img.shields.io/badge/Main-Main?color=7885FF&label=Sample%20App&logo=android&style=for-the-badge)](https://github.com/hi-manshu/Charty/releases/download/latest-main/app-debug.apk)

## Implementation

### Gradle setup

In `build.gradle` of app module, include this dependency

```gradle
dependencies {
  implementation("com.himanshoe:charty:1.0.1")
}
```

## Integrating it in your project

You can find the detail implementation of the following:
| Charts        | Preview           | 
| ------------- |:-------------:| 
| [BarChart](docs/BarChart.md)      | <img src="img/demo/BarChart.png" width=50% height=50%> | 
| [CandleStickChart](docs/CandleStickChart.md)      | <img src="img/demo/CandleChart.png" width=50% height=50%> | 
| [BubbleChart](docs/BubbleChart.md)     | <img src="img/demo/Bubble.png" width=50% height=50%> | 
| [StackedBarChart](docs/StackedBarChart.md)     | <img src="img/demo/Stackerbarchart.png" width=50% height=50%> | 
| [CombinedBarChart](docs/CombinedBarChart.md)     | <img src="img/demo/CombinedBarChart.png" width=50% height=50%> | 
| [HorizontalBarChart](docs/HorizontalBarChart.md)    | <img src="img/demo/HorizontalBarChart.png" width=50% height=50%> | 
| [GroupedBarChart](docs/GroupedBarChart.md)    | ------ | 
| [GroupedHorizontalBarChart](docs/GroupedHorizontalBarChart.md)    | ------ | 
| [CircleChart](docs/CircleChart.md)    | <img src="img/demo/CircleChart.png" width=50% height=50%> | 
| [PointChart](docs/PointChart.md)   | <img src="img/demo/PointChart.png" width=50% height=50%> | 
| [LineChart](docs/LineChart.md)  | <img src="img/demo/LineChart.png" width=50% height=50%> | 
| [CurveLineChart](docs/CurveLineChart.md) | <img src="img/demo/CurvedLineChart.png" width=50% height=50%> | 

### Contribution

Please feel free to fork it and open a PR.

## License

    Copyright 2022 Charty Contributors

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

        http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.


